commit:     881f2bacc842c09fec456da664cbea6bf414c322
Author:     Aisha Tammy <gentoo <AT> aisha <DOT> cc>
AuthorDate: Tue Nov 10 00:06:01 2020 +0000
Commit:     Aisha Tammy <gentoo <AT> aisha <DOT> cc>
CommitDate: Tue Nov 10 00:06:01 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=881f2bac

virtual/scalapack: revision bump for fixes

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>

 virtual/scalapack/metadata.xml              |  9 ---------
 virtual/scalapack/scalapack-2.0.2-r1.ebuild | 16 ++++++++++++++++
 virtual/scalapack/scalapack-2.0.2.ebuild    | 24 ------------------------
 3 files changed, 16 insertions(+), 33 deletions(-)

diff --git a/virtual/scalapack/metadata.xml b/virtual/scalapack/metadata.xml
index a39ef098a..ae9640ffb 100644
--- a/virtual/scalapack/metadata.xml
+++ b/virtual/scalapack/metadata.xml
@@ -5,13 +5,4 @@
                <email>[email protected]</email>
                <name>Gentoo Science Project</name>
        </maintainer>
-       <longdescription lang="en">
-Gentoo virtual package for the Scalable LAPACK implementation. The
-version number corresponds to the version of the ScaLAPACK reference
-implementation.
-</longdescription>
-       <use>
-               <flag name="int64">Add eselect module for blas libraries built 
with 64 bits
-integer ABI</flag>
-       </use>
 </pkgmetadata>

diff --git a/virtual/scalapack/scalapack-2.0.2-r1.ebuild 
b/virtual/scalapack/scalapack-2.0.2-r1.ebuild
new file mode 100644
index 000000000..18d5eabd9
--- /dev/null
+++ b/virtual/scalapack/scalapack-2.0.2-r1.ebuild
@@ -0,0 +1,16 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Virtual for ScaLAPACK implementation"
+
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+       || (
+               sci-libs/scalapack
+               sci-libs/mkl
+       )
+"

diff --git a/virtual/scalapack/scalapack-2.0.2.ebuild 
b/virtual/scalapack/scalapack-2.0.2.ebuild
deleted file mode 100644
index a68e13002..000000000
--- a/virtual/scalapack/scalapack-2.0.2.ebuild
+++ /dev/null
@@ -1,24 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit multilib-build
-
-DESCRIPTION="Virtual for ScaLAPACK implementation"
-HOMEPAGE=""
-SRC_URI=""
-
-LICENSE=""
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux"
-IUSE="doc int64"
-
-RDEPEND="
-       || (
-               >=sci-libs/scalapack-${PV}
-               sci-libs/mkl[int64?,${MULTILIB_USEDEP}]
-       )
-       int64? ( sci-libs/mkl[int64,${MULTILIB_USEDEP}] )
-       doc? ( >=app-doc/scalapack-docs-2.0 )"
-DEPEND=""

Reply via email to